BlitzReels
BlitzReelsDocumentation
API Reference
PATCH
/projects/{projectId}/timeline/media/{timelineItemId}

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string
timelineItemId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/projects/string/timeline/media/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "timelineItemId": "string",  "updated": {    "positionX": 0,    "positionY": 0,    "widthPx": 0,    "heightPx": 0,    "keepAspectRatio": true,    "opacity": 0,    "blurredBackground": true,    "volume": 0  },  "animationApplied": "string",  "keyframeCount": 0,  "warnings": [    "string"  ],  "message": "string"}